Name:           perl-Test-FailWarnings
Version:        0.008
Release:        1%{?dist}
Summary:        Add test failures if warnings are caught
License:        Apache Software License
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-FailWarnings/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Test-FailWarnings-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Capture::Tiny) >= 0.12
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Cwd)
Requires:       perl(File::Spec)
Requires:       perl(strict)
Requires:       perl(Test::More) >= 0.86
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module hooks $SIG{__WARN__} and converts warnings to Test::More fail()
calls. It is designed to be used with done_testing, when you don't need to
know the test count in advance.

%prep
%setup -q -n Test-FailWarnings-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING cpanfile dist.ini LICENSE META.json perlcritic.rc README tidyall.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 15 2019 Michael Stauber <mstauber@blueonyx.it> 0.008-1
- Specfile autogenerated by cpanspec 1.78.
